package dk.au.daimi.rabbithunt.main;

import dk.au.daimi.rabbithunt.control.Controller;
import dk.au.daimi.rabbithunt.view.GameFrame;

/**
 * Describes a "rabbit hunt", in which a fox moves around a field containing bushes,
 * looking for a rabbit. The rabbit, of course, tries not to be caught by the fox.
 *
 * @author David Matuszek
 * @version October 12, 2001
 */
public class RabbitHunt {

	/**
	 * Main class for starting a rabbit hunt; no parameters are needed or used.
	 */
	public static void main(String[] args) {
		int numberOfRows = 20;
		int numberOfColumns = 20;
		int numberOfFoxes = 2;

		Controller model = new Controller(numberOfRows, numberOfColumns, numberOfFoxes);
		@SuppressWarnings("unused")
		GameFrame controller = new GameFrame(model);
	}
}
