package dk.au.daimi.rabbithunt.model;
import javax.swing.ImageIcon;

import dk.au.daimi.rabbithunt.control.Controller;

/**
 * Models the rabbit.
 */
public class Rabbit extends Animal {

    /**
     * Creates a new rabbit with a default
     * brain that does nothing.
     * @param model the model to use
     */
    public Rabbit(Controller model) {
        super(model);
        setIcon(new ImageIcon("rabbit.png"));
    }

}
